## ros-humble-rtabmap-rviz-plugins 0.21.5

=== debian/changelog ===
ros-humble-rtabmap-rviz-plugins (0.21.5-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mathieu Labbe <matlabbe@gmail.com>  Thu, 15 Aug 2024 15:01:35 -0000
